<?php

/**
  # mod_viralturbo  - Viral Turbo
  # @version:			3.x
  # ------------------------------------------------------------------------
  # author:   			digitologie.de
  # copyright: 			Copyright (C) 2012 digitologie.de. All Rights Reserved.
  # @license: 			http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL or later.
  # Websites: 			http://www.digitologie.de
  # Technical Support:  doc@digitologie.de
  ------------------------------------------------------------------------- */
// No direct access to this file
defined('_JEXEC') or die('Restricted access');

// Module class sfx
$moduleclass_sfx = htmlspecialchars($params->get('moduleclass_sfx'));
$doc =  JFactory::getDocument();
switch ($params->get('social', 'twitter')) {
    case 'facebook':
        //Get Document
        $doc->addStyleSheet(JURI::base() . 'modules/mod_viralturbo/tmpl/css/facebook.css');
        $doc->addScript("http://connect.facebook.net/en_US/all.js");
        preg_match('@^(?:http://)?([^/]+)@i', $params->get('url_webpage_fb'), $matches);
        $url = $matches[1];
        $url = str_replace('www.', '', $url);
        $url = str_replace('http://', '', $url);
        $url = 'http://' . $url;
        require(JModuleHelper::getLayoutPath('mod_viralturbo', 'default_facebook'));
        break;
    case 'googleplus':
        $doc->addStyleSheet(JURI::base() . 'modules/mod_viralturbo/tmpl/css/googleplus.css');
        $doc->addScript("http://apis.google.com/js/plusone.js");
        $items = array();
        $items['image_filename'] = $params->get('image_filename_gp');
        $items['title_filename'] = $params->get('title_filename_gp');
        $items['url_download'] = $params->get('url_download_gp');
        $items['tweet_post'] = $params->get('tweet_post_gp');
        $items['url_webpage'] = $params->get('url_webpage_gp');
        $items['showcounter'] = $params->get('showcounter_gp');
        preg_match('@^(?:http://)?([^/]+)@i', $items['url_webpage'], $matches);
        $url = $matches[1];
        $url = str_replace('www.', '', $url);
        $url = str_replace('http://', '', $url);
        $url = 'http://www.' . $url;
        require(JModuleHelper::getLayoutPath('mod_viralturbo', 'default_googleplus'));
        break;
    default:
        $items = array();        
        $items['image_filename'] = $params->get('image_filename');
        $items['title_filename'] = $params->get('title_filename');
        $items['url_download'] = $params->get('url_download');
        $items['tweet_post'] = $params->get('tweet_post');
        $items['url_webpage'] = $params->get('url_webpage');
        $items['showcounter'] = $params->get('showcounter');
        
        $doc->addStyleSheet(JURI::base() . 'modules/mod_viralturbo/tmpl/css/twitter.css');
        $doc->addScript("http://platform.twitter.com/widgets.js");
        require(JModuleHelper::getLayoutPath('mod_viralturbo', 'default_twitter'));
        break;        
}

//require(JModuleHelper::getLayoutPath('mod_viralturbo'));